Subject: Re: [Patch net-next 1/4] net_sched: introduce qdisc_replace() helper

From: Jamal Hadi Salim <[email-masked]>
Date: Fri, 16 Oct 2015 07:51:45 -0400

On 10/15/15 00:15, Cong Wang wrote:
> On Wed, Oct 14, 2015 at 4:56 AM, Jamal Hadi Salim <[email-masked]> wrote:
>> On 10/12/15 14:38, Cong Wang wrote:
>>>
>>> Remove nearly duplicated code and prepare for the following patch.
>>>
>>
>>
>> Cong - like Dave, I dont see equivalence in some of these
>> changes.
>> Example not sure how the qfq grafting invocation of
>> qfq_purge_queue fits in. There are a few others.
>
> drr_purge_queue() and qfq_purge_queue() are both
> qdisc_reset() + qdisc_tree_decrease_qlen():
>
>
> static void drr_purge_queue(struct drr_class *cl)
> {
>          unsigned int len = cl->qdisc->q.qlen;
>
>          qdisc_reset(cl->qdisc);
>          qdisc_tree_decrease_qlen(cl->qdisc, len);
> }
>
> static void qfq_purge_queue(struct qfq_class *cl)
> {
>          unsigned int len = cl->qdisc->q.qlen;
>
>          qdisc_reset(cl->qdisc);
>          qdisc_tree_decrease_qlen(cl->qdisc, len);
> }
>
> Or you mean the order of calling them??
>

I dont think the order is as important (although the way you have
it seems to be the sanest).

Thanks for clarifying Cong. I took a closer look and
all looks good.

Acked-by: Jamal Hadi Salim <[email-masked]>

cheers,
jamal